Loading...
Searching...
No Matches
host.c File Reference

ENet host management functions. More...

`#include <string.h>`
`#include "enet/enet.h"`

## Macros

#define | ENET_BUILDING_LIB 1

## Functions

void | enet_host_bandwidth_limit (ENetHost *host, enet_uint32 incomingBandwidth, enet_uint32 outgoingBandwidth)
| Adjusts the bandwidth limits of a host.
void | enet_host_bandwidth_throttle (ENetHost *host)
void | enet_host_broadcast (ENetHost *host, enet_uint8 channelID, ENetPacket *packet)
| Queues a packet to be sent to all peers associated with the host.
void | enet_host_channel_limit (ENetHost *host, size_t channelLimit)
| Limits the maximum allowed channels of future incoming connections.
void | enet_host_compress (ENetHost *host, const ENetCompressor *compressor)
| Sets the packet compressor the host should use to compress and decompress packets.
ENetPeer * | enet_host_connect (ENetHost *host, const ENetAddress *address, size_t channelCount, enet_uint32 data)
| Initiates a connection to a foreign host.
ENetHost * | enet_host_create (const ENetAddress *address, size_t peerCount, size_t channelLimit, enet_uint32 incomingBandwidth, enet_uint32 outgoingBandwidth)
| Creates a host for communicating to peers.
void | enet_host_destroy (ENetHost *host)
| Destroys the host and all resources associated with it.
enet_uint32 | enet_host_random (ENetHost *host)

## Detailed Description

ENet host management functions.

## Macro Definition Documentation

## ENET_BUILDING_LIB

#define ENET_BUILDING_LIB 1